@echo off
REM Multimedia Development Kit floppy disk set batch file
REM Date: 11/08/90

REM Variables
set COPY=copy
set DEST=a:
set DISK=all
set FORMAT=n
set NUM_DISKS=4

REM Check environment space
if "%NUM_DISKS%"=="4" goto START
echo Error: Out of environment space!
echo:
echo Modify the /e switch of COMMAND.COM in your CONFIG.SYS file.
echo See your DOS manual for details.
echo:
goto END

:START
echo This batch file will create a floppy disk set of the Multimedia
echo Development Kit.  You will need %NUM_DISKS% blank, formatted disks
echo ready to create the full set.
echo:
echo      USAGE: mdkflop [/f] [/disk#]
echo          /f will format all disks before copying
echo          /disk# will create a specific disk (i.e. /1, /2...)
echo:
echo To abort press CTRL+BREAK now.
echo:

:ARG_FORMAT
if not "%1"=="/f" goto ARG_DISK
set FORMAT=y
shift
echo WARNING: /f option is specified.  All disks will be formatted before copying.
echo:

:ARG_DISK
if "%1"=="/1" set DISK=1
if "%1"=="/2" set DISK=2
if "%1"=="/3" set DISK=3
if "%1"=="/4" set DISK=4
if "%DISK%"=="all" goto DO_COPY
shift

:DO_COPY
if "%DISK%"=="all" goto DISK1
if "%DISK%"=="1" goto DISK1
if "%DISK%"=="2" goto DISK2
if "%DISK%"=="3" goto DISK3
if "%DISK%"=="4" goto DISK4

:DISK1
echo Please insert a disk in drive a:, this is Multmedia Development Kit disk #1
pause
if "%FORMAT%"=="y" format a:

md a:\MWINDOWS
%COPY% MWINDOWS\adlib.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\cpl.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\dib.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\disp.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\drivers.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\ibmjoy.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\joystick.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\lrfix.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\lrhelv.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\lrhelvb.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\lroem.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\lrsys.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\mcga256.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mcicda.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mcimmp.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mcipionr.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mciseq.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mciwave.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\medbits.mmh %DEST%\MWINDOWS
%COPY% MWINDOWS\mediaman.dll %DEST%\MWINDOWS
%COPY% MWINDOWS\medwave.mmh %DEST%\MWINDOWS
%COPY% MWINDOWS\midi.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\midimap.ini %DEST%\MWINDOWS
%COPY% MWINDOWS\mmclock.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\mmcpl.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\mmp.dll %DEST%\MWINDOWS
%COPY% MWINDOWS\mmsound.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mmsystem.dll %DEST%\MWINDOWS
%COPY% MWINDOWS\mmtask.tsk %DEST%\MWINDOWS
%COPY% MWINDOWS\mmv7vga.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\mmwinver.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\mplayer.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\mpu401.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\scrnsvr.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\snd.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\sndblst.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\ssclock.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssclrwsh.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssdimmer.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssdlg.cpl %DEST%\MWINDOWS
%COPY% MWINDOWS\sslissju.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssmarque.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssmelt.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssmyst.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssrocket.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssrsedsk.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssshwpct.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\ssstars.scr %DEST%\MWINDOWS
%COPY% MWINDOWS\timer.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\vgagrey.drv %DEST%\MWINDOWS
%COPY% MWINDOWS\vtdapi.386 %DEST%\MWINDOWS
%COPY% MWINDOWS\wincom.dll %DEST%\MWINDOWS
%COPY% MWINDOWS\winhelp.exe %DEST%\MWINDOWS
%COPY% .\setup.bmp %DEST%\.
%COPY% .\setup.exe %DEST%\.
attrib +r  %DEST%\.\setup.exe
%COPY% .\setup.inf %DEST%\.
echo:
if "%DISK%"=="1" goto END

:DISK2
echo Please insert a disk in drive a:, this is Multmedia Development Kit disk #2
pause
if "%FORMAT%"=="y" format a:

md a:\MWINDOWS
%COPY% MWINDOWS\bells.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\blocks.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\clavier.mid %DEST%\MWINDOWS
%COPY% MWINDOWS\clock.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\deskjet.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\door.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\finstall.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\gong.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\helve.fon %DEST%\MWINDOWS
%COPY% MWINDOWS\hppcl.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\jawharp.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\lanman.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\laser.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\netware.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\ohoh.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\paintjet.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\pscript.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\setup.exe %DEST%\MWINDOWS
%COPY% MWINDOWS\setup.inf %DEST%\MWINDOWS
%COPY% MWINDOWS\sysini.txt %DEST%\MWINDOWS
%COPY% MWINDOWS\sysini2.txt %DEST%\MWINDOWS
%COPY% MWINDOWS\sysini3.txt %DEST%\MWINDOWS
%COPY% MWINDOWS\train.wav %DEST%\MWINDOWS
%COPY% MWINDOWS\tty.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\winhelp.hlp %DEST%\MWINDOWS
%COPY% MWINDOWS\winini.txt %DEST%\MWINDOWS
%COPY% MWINDOWS\winini2.txt %DEST%\MWINDOWS
echo:
if "%DISK%"=="2" goto END

:DISK3
echo Please insert a disk in drive a:, this is Multmedia Development Kit disk #3
pause
if "%FORMAT%"=="y" format a:

md a:\TOOLS
md a:\MSDK
md a:\MSDK\DEBUG
md a:\MSDK\INCLUDE
md a:\MSDK\NODEBUG
%COPY% MSDK\mmd2n.bat %DEST%\MSDK
%COPY% MSDK\mmn2d.bat %DEST%\MSDK
%COPY% MSDK\mmref.hlp %DEST%\MSDK
%COPY% MSDK\mmswitch.bat %DEST%\MSDK
%COPY% MSDK\DEBUG\mediaman.dll %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\mediaman.sym %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\mmp.dll %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\mmp.sym %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\mmsystem.dll %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\mmsystem.sym %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\wincom.dll %DEST%\MSDK\DEBUG
%COPY% MSDK\DEBUG\wincom.sym %DEST%\MSDK\DEBUG
%COPY% MSDK\INCLUDE\defdlg.dlg %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\defdlg.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\medbits.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\mediaman.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\medwave.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\mmp.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\mmsystem.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\scrnsave.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\INCLUDE\wincom.h %DEST%\MSDK\INCLUDE
%COPY% MSDK\NODEBUG\mediaman.dll %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\mediaman.sym %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\mmp.dll %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\mmp.sym %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\mmsystem.dll %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\mmsystem.sym %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\wincom.dll %DEST%\MSDK\NODEBUG
%COPY% MSDK\NODEBUG\wincom.sym %DEST%\MSDK\NODEBUG
%COPY% TOOLS\adimport.flt %DEST%\TOOLS
%COPY% TOOLS\bitedit.exe %DEST%\TOOLS
%COPY% TOOLS\bitedit.hlp %DEST%\TOOLS
%COPY% TOOLS\cgmimp.flt %DEST%\TOOLS
%COPY% TOOLS\convert.exe %DEST%\TOOLS
%COPY% TOOLS\convert.hlp %DEST%\TOOLS
%COPY% TOOLS\drwimp.flt %DEST%\TOOLS
%COPY% TOOLS\epsimp.flt %DEST%\TOOLS
%COPY% TOOLS\filewalk.exe %DEST%\TOOLS
%COPY% TOOLS\filewalk.hlp %DEST%\TOOLS
%COPY% TOOLS\fwthand.dll %DEST%\TOOLS
%COPY% TOOLS\fwtype.dll %DEST%\TOOLS
%COPY% TOOLS\hpglimp.flt %DEST%\TOOLS
%COPY% TOOLS\lotusimp.flt %DEST%\TOOLS
%COPY% TOOLS\medimp.ini %DEST%\TOOLS
%COPY% TOOLS\medimp.mmh %DEST%\TOOLS
%COPY% TOOLS\medmidi.mmh %DEST%\TOOLS
%COPY% TOOLS\paledit.exe %DEST%\TOOLS
%COPY% TOOLS\paledit.hlp %DEST%\TOOLS
%COPY% TOOLS\standard.pal %DEST%\TOOLS
%COPY% TOOLS\tiffimp.flt %DEST%\TOOLS
%COPY% TOOLS\vga.pal %DEST%\TOOLS
%COPY% TOOLS\waveedit.exe %DEST%\TOOLS
%COPY% TOOLS\waveedit.hlp %DEST%\TOOLS
%COPY% TOOLS\wrkbench.dll %DEST%\TOOLS
echo:
if "%DISK%"=="3" goto END

:DISK4
echo Please insert a disk in drive a:, this is Multmedia Development Kit disk #4
pause
if "%FORMAT%"=="y" format a:

md a:\MSDK
md a:\MSDK\LIB
md a:\MSDK\MMSAMPLE
md a:\MSDK\MMSAMPLE\GO
md a:\MSDK\MMSAMPLE\GO\MEDGO
md a:\MSDK\MMSAMPLE\MCITEST
md a:\MSDK\MMSAMPLE\MMPLAY
md a:\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\LIB\mediaman.lib %DEST%\MSDK\LIB
%COPY% MSDK\LIB\mmp.lib %DEST%\MSDK\LIB
%COPY% MSDK\LIB\mmsystem.lib %DEST%\MSDK\LIB
%COPY% MSDK\LIB\scrnsave.lib %DEST%\MSDK\LIB
%COPY% MSDK\LIB\wincom.lib %DEST%\MSDK\LIB
%COPY% MSDK\MMSAMPLE\sbtest.exe %DEST%\MSDK\MMSAMPLE
%COPY% MSDK\MMSAMPLE\GO\about.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\about.dlg %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\board.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\command.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\element.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\go.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\go.def %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\go.h %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\go.ico %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\go.rc %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\makefile %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\meduser.c %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\phystype.dlg %DEST%\MSDK\MMSAMPLE\GO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\gohand.c %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\gotxhand.c %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\libinit.asm %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\makefile %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\medgo.c %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\medgo.def %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\medgo.h %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\medgo.rc %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\GO\MEDGO\medgoi.h %DEST%\MSDK\MMSAMPLE\GO\MEDGO
%COPY% MSDK\MMSAMPLE\MCITEST\edit.c %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\edit.h %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\makefile %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcimain.dlg %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcimain.h %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcitest.c %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcitest.def %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcitest.h %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcitest.ico %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MCITEST\mcitest.rc %DEST%\MSDK\MMSAMPLE\MCITEST
%COPY% MSDK\MMSAMPLE\MMPLAY\makefile %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\MMPLAY\mmplay.c %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\MMPLAY\mmplay.def %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\MMPLAY\mmplay.h %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\MMPLAY\mmplay.ico %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\MMPLAY\mmplay.rc %DEST%\MSDK\MMSAMPLE\MMPLAY
%COPY% MSDK\MMSAMPLE\REVERSE\init.c %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\makefile %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\reverse.c %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\reverse.def %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\reverse.h %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\reverse.ico %DEST%\MSDK\MMSAMPLE\REVERSE
%COPY% MSDK\MMSAMPLE\REVERSE\reverse.rc %DEST%\MSDK\MMSAMPLE\REVERSE
echo:
if "%DISK%"=="4" goto END

:END
set COPY=
set DEST=
set DISK=
set FORMAT=
set NUM_DISKS=
echo ** MDK floppy disk batch file complete **
